Subject: Re: bug#68074: eshell sudo/doas does not work for aliases

From: Alfonso Sanchez-Beato <[email-masked]>
Date: Sat, 27 Jan 2024 08:46:10 +0000 (UTC)

En sábado, 27 de enero de 2024, 01:19:32 GMT, Jim Porter <[email-masked]> escribió: 

On 1/26/2024 4:27 PM, Jim Porter wrote:

>> On 1/26/2024 3:53 PM, Alfonso Sanchez-Beato via Bug reports for GNU 
>> Emacs, the Swiss army knife of text editors wrote:
>>> Unfortunately that does not seem to be the case, I see an error saying 
>>> "Invalid function" after applying on top of current master:
>> 
>> Oops, I messed up the quoting. How about this?

> ... actually, this is a more-complete patch. I'm not 100% sure about 
> this part though:
>
>  ',(car args)
>
> That (usually) creates something like (quote "command"), but it's safer 
> than not quoting (the CAR of 'args' can be anything, really...)

This last patch works nicely, thanks a lot! It works also in cases where my patch was not, like:

$ eshell/sudo VAR=val <alias> ...